// Defrost.h

#ifndef _DEFROST_h
#define _DEFROST_h

#if defined(ARDUINO) && ARDUINO >= 100
	#include "arduino.h"
#else
	#include "WProgram.h"
#endif

class DefrostClass
{
 protected:
	 int timeToRunDefrost;					//Total time for a defrost cycle to last if not cancelled

public:
	void defrostCheck();
	bool defrostFlag = false;

	long defrostTimer;
	long defrostSemiTimer;
	int8_t defrostStep;						//Current step of defrost cycle
	int8_t lastDefrostStep = 0;				//Last step in defrost cycle

	//System settings
	int8_t defrostTimeBetween;				//Minimum time between successive defrosts
	int16_t defrostDelay;					//Time from defrost temperature to actual defrost
	int16_t defrostRuntime;					//Defrost runtime (minutes)
	int8_t defrostTemperature;				//Defrost temperature
	int8_t defrostUpperTemperature;			//Defrost upper temperature (cancels defrost)
	int16_t defrostTimeToNextStep;			//Time to next defrost step

	bool bDoDefrost = false;
	ulong lastDefrost = 0;
	String lastDefrostTime = "None";

};

extern DefrostClass Defrost;

#endif

